var mongoose = require("mongoose");

const modelSchema = new mongoose.Schema(
  {
    name: String,
    email: {
      type: String,
    },
    password: String,
    phoneNumber: String,
    role: { type: String, default: "user" }, //user, admin
    profileImage: {
      type: String,
      default:
        "https://try-s3-upload-plz.s3.amazonaws.com/file235930257089.Avatar.png",
    },
    isBlocked: { type: Boolean, default: false },

    fcmToken: String,
  },
  { timestamps: true }
);

const Users = mongoose.model("Users", modelSchema);
module.exports.Users = Users;
